const LCD = require('raspberrypi-liquid-crystal');
const common = require('./common')
const globalVars = require('./globalVars')
const clock = require('./clock');

const lcd = new LCD(1, 0x27, 20, 4);

lcd.beginSync();

module.exports = {
    clearScreen: async () => {
        lcd.clearSync();
    },
    clearLine: async (line) => {
        line = line - 1
        lcd.setCursorSync(0, line);
        lcd.printSync('                    ')
    },
    intro: async () => {
        lcd.clearSync();
        lcd.printLineSync(1, 'MiGenie Status')
        lcd.printLineSync(2, '             By Karl')
        await common.pause(3000)
        module.exports.heading('Water-')
    },
    heading: async (title) => {
        lcd.clearSync();
        lcd.printLineSync(2, title)
    },
    time: async () => {
        lcd.setCursorSync(15, 0);
        let f
        f = await clock.time()
        lcd.printSync(f)
    },
    waterStatus: async (input) => {
        lcd.setCursorSync(6, 2);
        lcd.printSync('                    ')
        lcd.setCursorSync(6, 2);
        lcd.printSync(input)
    },
    waterNextEvent: async (input) => {
        lcd.printLineSync(3, 'Next Event-')
        lcd.setCursorSync(11, 3);
        lcd.printSync('                    ')
        lcd.setCursorSync(11, 3);
        lcd.printSync(input)
    },
}